

# GetConnectInstanceConfig


Get configuration information about an Amazon Connect instance.

## Request Syntax


```
GET /v2/connect-instance/connectInstanceId/config HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [connectInstanceId](#API_connect-outbound-campaigns-v2_GetConnectInstanceConfig_RequestSyntax) **   <a name="connect-connect-outbound-campaigns-v2_GetConnectInstanceConfig-request-uri-connectInstanceId"></a>
The identifier of the Amazon Connect instance. You can find the `instanceId` in the ARN of the instance.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-_.a-zA-Z0-9]+`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "connectInstanceConfig": { 
      "connectInstanceId": "string",
      "encryptionConfig": { 
         "enabled": boolean,
         "encryptionType": "string",
         "keyArn": "string"
      },
      "serviceLinkedRoleArn": "string"
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [connectInstanceConfig](#API_connect-outbound-campaigns-v2_GetConnectInstanceConfig_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns-v2_GetConnectInstanceConfig-response-connectInstanceConfig"></a>
Configuration information about the Amazon Connect instance.  
Type: [InstanceConfig](API_connect-outbound-campaigns-v2_InstanceConfig.md) object

## Errors


For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaignsv2-2024-04-23/GetConnectInstanceConfig) 